package me.arimelody.aridroid;

import java.net.URL;
import java.util.ArrayList;
import java.util.Date;

public class ReleaseModel {
    private final String id;
    private final String title;
    private final String description;
    private final String type;
    private final Date releaseDate;
    private final String artworkURL;
    private final String buyname;
    private final String buylink;
    private final String copyright;
    private final URL copyrightURL;
    private final ArrayList<MusicCreditModel> credits;

    public ReleaseModel(String id, String title, String description, String type, Date releaseDate, String artwork, String buyname, String buylink, String copyright, URL copyrightURL, ArrayList<MusicCreditModel> credits) {
        this.id = id;
        this.title = title;
        this.description = description;
        this.type = type;
        this.releaseDate = releaseDate;
        this.artworkURL = artwork;
        this.buyname = buyname;
        this.buylink = buylink;
        this.copyright = copyright;
        this.copyrightURL = copyrightURL;
        this.credits = credits;
    }

    public String getId() {
        return id;
    }

    public String getTitle() {
        return title;
    }

    public String getDescription() {
        return description;
    }

    public String getType() {
        return type;
    }

    public Date getReleaseDate() {
        return releaseDate;
    }

    public String getArtworkURL() {
        return artworkURL;
    }

    public String getBuyname() {
        return buyname;
    }

    public String getBuylink() {
        return buylink;
    }

    public String getCopyright() {
        return copyright;
    }

    public URL getCopyrightURL() {
        return copyrightURL;
    }

    public ArrayList<MusicCreditModel> getCredits() {
        return credits;
    }
}
